Bug 1003779 - Add/remove VNICs in new VM dialog
Add/remove VNICs in new VM dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
:
Depends On: 999283
Blocks: 1009298
  Show dependency treegraph
 
Reported: 2013-09-03 04:01 EDT by Lior Vernia
Modified: 2016-02-10 14:48 EST (History)
9 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19832 None None None Never
oVirt gerrit 19833 None None None Never
oVirt gerrit 19834 None None None Never
oVirt gerrit 19835 None None None Never
oVirt gerrit 19836 None None None Never

  None (edit)
Description Lior Vernia 2013-09-03 04:01:50 EDT
Description of problem:

At the moment, in order to be able to attach a profile to a VNIC upon the creation of a VM, if the template has no VNICs then one is created by default. This behavior is not really consistent with the idea of constructing a VM from a template. It would be better to have a default configuration suggested according to the template, but also be able to add/remove VNICs in the dialog.
Comment 1 Itamar Heim 2013-09-04 02:49:08 EDT
that's quite a behavior change. agree we should preserve "template with no nic == vm with no nic's" by default. allowing to add vnic's is welcome if possible (I assume we'll be using defaults (virtio, etc.) here.
Comment 2 Moti Asayag 2013-09-09 07:37:51 EDT
(In reply to Itamar Heim from comment #1)
> that's quite a behavior change. agree we should preserve "template with no
> nic == vm with no nic's" by default. allowing to add vnic's is welcome if
> possible (I assume we'll be using defaults (virtio, etc.) here.

There is no behaviour change. The engine creates the vm according to the template. 

The UI adds by default an interface in the "New VM" dialog, although it is not part of the template's configuration. This bug suggests not to add that default vnic in the dialog, so the actual configuration of the template will be reflected to the user. It will allow the user to add new interface on the same "New VM" dialog, that will be interpreted as 'AddVmInterface" commands.
Comment 3 Itamar Heim 2013-09-09 08:29:22 EDT
moti - i think we are saying the same thing. adding a vnic for a template without a vnic is a behavior change/bug.
Comment 4 Lior Vernia 2013-09-09 10:47:01 EDT
Just to make sure we're all on the same page...

1. "At the present time" (dependent upon a patch pending review), when a VM is created from template, its number of VNICs and default profile assignment will be generated according to the template, UNLESS the template has no VNICs to begin with, in which case one VNIC will be created by default (as long as there are valid profiles to attach to it).

2. A solution to this bug would enable the user to add or remove VNICs within the add/edit VM dialog, in which case the "UNLESS" clause above will no longer be required, and the default suggestion for profile configuration should be identical to the template, ALWAYS, even if it has no VNICs. This would only encompass frontend changes, which may or may not be referred to as "behavior change" as a function of perspective :)

Does anybody have a different picture in mind?
Comment 5 GenadiC 2013-09-17 04:04:33 EDT
Today when you create VM from blank template, the NIC with empty profile is created, when more reasonable is to create VM without any VNIC.
If you create such a VM in 3.1 DC/Cluster the creation will fail as VM with empty profile/network was not supported there.

Resolution of this bug should take it in mind
Comment 6 Meni Yakove 2013-10-10 04:18:59 EDT
rhevm-3.3.0-0.25.beta1.el6ev.noarch
Comment 7 Itamar Heim 2014-01-21 17:28:29 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:28:32 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:31:25 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.